Joomler!.net - Decided on Joomla!

Wiki or Wordpress? No it is JContentPlus.

 

Archives

Blog

Demo

Home » Blog » プロジェクト
0 votes
Written by:Joomler! 7992 hits Monday, 28 September 2009 08:49

Joomla!1.5.15でPHP 5.3への対応がされそうなので、うちのエクステンションもPHP 5.3を前提にしようと思っています。と言ってもPHP5.3をサポートすると言う意味でJContentPlusのようにPHP5のみと書いている物以外はPHP4でも使えるわけですが。

開発用のプロジェクトのInterpreterをPHP5.3に切替中です。

テストバージョンの1.5.15をダウンロードして比較してみるとたいした差はなく、一様にeregi関数の置き換えばかりが目につくだけで他はバグ修正がほとんどのようでした。さほど大変そうではない。

 
0 votes
Written by:Joomler! 6137 hits Monday, 03 August 2009 07:35

今日、朝からまた新発見してしまった。というか、ドキュメントに書いてあるか?ってことは、以前から良くある事で滅多に見ないドキュメントを今回は、さまよってみた。

結果、やっぱり書いて無さそうだった。

秘密にしてるのかと思えるくらいだ。けど、すべてを書く事も難しいのはわかる。Joomla!のエクステンションを作成していると、こうやって「あ、こんなことできたのか」ということが良くある。さらに「あ~もっと早く知っていれば・・・」と思う事も多々ある。

ドキュメントを書く人と、作った人が別人なら絶対すべてを網羅する事は難しいと思う。本人であっても抜けると思うし。(私もそう。)

 
1 votes
Written by:Joomler! 5918 hits Sunday, 17 May 2009 17:29

今現在80codeサーバーですが、移転するつもりです。

  • MySQLのバージョンが低い。
    一番の原因です。
  • サーバーの負荷(このサイトが原因)が、原因と思うが、国によっては、アクセスできない。
    これは、キャッシュを使えばかなり解消できると思うが、現状のままでキャッシュをONにするとどうなるかわからないのでしていなかったんです。その対応のためにJoomla!1.0.xを今更さわる気がしないのが、キャッシュOFFの一番の理由ですが。
    アクセスできないことがあるとは、たまに連絡をいただいていたので以前からわかっていました。

MySQLに関しては、今作成しているものが、おそらくMySQL4.1以降か、5以上にしか対応できないと思われるので前々から考えてはいました。MySQLのバージョンが上がる事で人並みの対応ができそうです。

なので今後のエクステンションは、MySQL4.1以上か5以上の対応になります。

 
2 votes
Written by:Joomler! 7379 hits Wednesday, 29 October 2008 17:12

まだ、新規で構築するサイトでJoomla!1.0.xが選択されている事があるようです。それは、使えるエクステンションがJoomla!1.5と比較してダントツに多いからなのはわかっています。このサイトも1.0.xなのは自分のエクステンションがまだ、用意できていないからですし。

以下の理由でJoomla!1.5を推奨します。

理由:WEB制作会社向き

  1. コードの再利用が楽になる
    エクステンションを一度開発側に作らせておけば、以後の開発費が安く済みます。
    (うちに頼んでね・・・。)
  2. 今後または、現在出ている新しいエクステンションは、ほとんどJoomla!1.5用である
    Joomla!1.0.xを利用している限り古いコードで作成された古いエクステンションを使わざるを得ない。また、新しいサービスに対応したエクステンションが出ないかもしれない。
  3. Joomla!1.0.xより攻撃されにくい
    Joomla!1.0.xで構築しているとサードパーティーのSEFエクステンションでも導入していない限りJoomla!で構築していることが誰にでもわかってしまうので今まで公になっている穴をついた攻撃にさらされやすい。(現にこのサイトがそうである。)
  4. カスタマイズしやすい
    1.にもつながる理由ですが、エクステンション側だけでなく、テンプレート側でもかなりカスタマイズが容易なため生産性が高い。
 
2 votes
Written by:Joomler! 9458 hits Tuesday, 13 May 2008 18:18

仕事で複数のエディタを使い分けています。みなさんもメモ帳から様々な便利なエディタや開発ツールなどで文字を表示されているかと思いますが、見づらいとか、もっとキレイに見える(読める)フォントってないの?って思ったことありませんか?私は、PHPのコードを書くとき最初に設定するのがフォントです。見やすくて書いていても書きやすいフォントを選択します。見やすいフォントだと私の下手なコードもウットリするくらいキレイに見えてしまいます。でも、エディタによってはその見やすいフォントが、選択できないフォントであったり、選択できても文字間や行間の設定が異なっていて同じようにキレイに表示してくれなかったりします。その時はあきらめたり、下手すると私は、そのエディタを使わなかったりするくらいです。それほど重大なことと思っています。

今使っているフォントは、Osakaフォントです。Windowsなのですがありました。下記にまとめられています。

Macの見やすいOsakaフォントをWinで使おうプロジェクト

使ってみるとこんな感じになります。

win_osaka_font

まあ・・・好き嫌いがあると思うので強く推奨するわけではありませんが、飽きてきたらフォントを替えて気分転換ってのもありではないでしょうか。

他にも「ゆたぽんフォント」というのがあってこれもなかなかステキです。コーディングするときに見やすいフォントを目指しているだけあって私的にはかなり好きです。

 
<<<12>>>
1 / 2

JContentPlus for Joomla!1.5 powered by Joomler!.net

デル株式会社
joomler.net is not affiliated with or endorsed by the Joomla! Project or Open Source Matters.
The Joomla!(R) name is used under a limited license from Open Source Matters in the United States and other countries.
joomler.net is not affiliated with or endorsed by Open Source Matters or the Joomla! Project.